/* GNOME Calendar Configuration Functions
 * Copyright (C) 2002  Sebastian Rittau <srittau@jroger.in-berlin.de>
 *
 * $Id: gnomecal-config.c,v 1.1.2.1 2002/05/27 18:20:47 srittau Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <glib.h>
#include <pango/pango.h>

#include <gconf/gconf-client.h>

#include "gnomecal-config.h"


gchar *
gncal_config_get_color (GConfClient *gconf, const gchar *key, const gchar *def)
{
	gchar *color;

	color = gconf_client_get_string (gconf, key, NULL);
	if (!color || !pango_color_parse (NULL, color)) {
		g_free (color);
		color = g_strdup (def);
	}

	return color;
}
