/* Functions to mark calendars
 *
 * Copyright (C) 1998 Red Hat Software, Inc.
 *
 * Author: Federico Mena <federico@nuclecu.unam.mx>
 */

#ifndef MARK_H
#define MARK_H

#include "calendar.h"
#include "gnome-month-item.h"


/* These are the fonts used for the montly calendars */

#define HEADING_FONT		"Sans 09"
#define TITLE_FONT		"Sans bold 12"
#define DAY_HEADING_FONT	"Sans 10"
#define NORMAL_DAY_FONT		"Sans 10"
#define CURRENT_DAY_FONT	"Sans bold 12"
#define BIG_DAY_HEADING_FONT	"Sans bold 14"
#define BIG_NORMAL_DAY_FONT	"Sans 14"
#define BIG_CURRENT_DAY_FONT	"Sans bold 14"
#define EVENT_FONT		"Sans 10"


/* Takes a monthly calendar item and marks the days that have events scheduled for them in the
 * specified calendar.  It also highlights the current day.
 */
void mark_month_item (GnomeMonthItem *mitem, Calendar *cal);

/* Unmarks all the days in the specified month item */
void unmark_month_item (GnomeMonthItem *mitem);

#endif
