#ifndef __CARDEDITOR_PHONE_H__
#define __CARDEDITOR_PHONE_H__

/* GNOME Card Editor Phone Object
 * Copyright (C) 2002  Sebastian Rittau <srittau@jroger.in-berlin.de>
 *
 * $Id: cardeditor-phone.h,v 1.1.2.1 2002/07/19 09:14:38 srittau Exp $
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <glib.h>

#include <mimedir/mimedir-vcard.h>

#include "cardeditor-editlist.h"


#define CARDEDITOR_TYPE_PHONE			(cardeditor_phone_get_type())
#define CARDEDITOR_PHONE(obj)			(GTK_CHECK_CAST ((obj), CARDEDITOR_TYPE_PHONE, CardEditorPhone))
#define CARDEDITOR_PHONE_CLASS(klass)		(GTK_CHECK_CLASS_CAST ((klass), CARDEDITOR_TYPE_PHONE))
#define CARDEDITOR_IS_PHONE(obj)		(GTK_CHECK_TYPE ((obj), CARDEDITOR_TYPE_PHONE))
#define CARDEDITOR_IS_PHONE_CLASS(klass)	(GTK_CHECK_CLASS_TYPE ((klass), CARDEDITOR_TYPE_PHONE))

typedef struct _CardEditorPhone		CardEditorPhone;
typedef struct _CardEditorPhoneClass	CardEditorPhoneClass;
typedef struct _CardEditorPhonePriv	CardEditorPhonePriv;

struct _CardEditorPhone
{
	CardEditorEditList parent;

	CardEditorPhonePriv *priv;
};

struct _CardEditorPhoneClass
{
	CardEditorEditListClass parent_class;
};


GType		 cardeditor_phone_get_type	(void);
GtkWidget	*cardeditor_phone_new		(void);

void		 cardeditor_phone_edit_vcard	(CardEditorPhone *phone, MIMEDirVCard *vcard);

#endif /* __CARDEDITOR_PHONE_H__ */
