/* GnomeCard - a graphical contact manager.
 *
 * misc.c: This file is part of GnomeCard.
 * 
 * Copyright (C) 1999 The Free Software Foundation
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#include <config.h>

#include <string.h>
#include <pwd.h>
#include <unistd.h>
#include <sys/types.h>

#include <glib.h>

#define PATH_SEP '/'
#define PATH_SEP_STR "/"

/* This one stolen from mc (src/utilunix.c) */
extern gchar *misc_tilde_expand (const gchar *directory)
{
	struct passwd *passwd;
	const gchar *p;
	
	if (*directory != '~')
	  return g_strdup (directory);
	
	directory++;
	
	p = strchr (directory, PATH_SEP);
	
	/* d = "~" or d = "~/" */
	if (directory[0] == '\0' || directory[0] == PATH_SEP) {
		passwd = getpwuid (geteuid ());
		p = directory[0] == PATH_SEP ? directory + 1 : "";
	} else {
		if (!p) {
			p = "";
			passwd = getpwnam (directory);
		} else {
			gchar *name;
			name = g_strndup (directory, p - directory);
			passwd = getpwnam (name);
			g_free (name);
		}
	}
	
	/* If we can't figure the user name, return NULL */
	if (!passwd)
		return NULL;

	return g_strconcat (passwd->pw_dir, PATH_SEP_STR, p, NULL);
}
